package model

import "git.pyer.club/kingecg/gologger"

type HttpPath struct {
	Path      string      `json:"path"`
	Root      string      `json:"root"`
	Default   string      `json:"default"`
	Upstreams []string    `json:"upstreams"`
	Rewrite   PathRewrite `json:"pathrewrite"`
}

type PathRewrite struct {
	Replace string `json:"replace"`
	With    string `json:"with"`
}

type HttpServerConfig struct {
	ServerName string `json:"server"`
	Port       int    `json:"port"`
	Host       string `json:"host"`
	Paths      []HttpPath
}

type GoHttpdConfig struct {
	Logging gologger.LoggersConfig `json:"logging"`
	Admin   *HttpServerConfig      `json:"admin"`
	Servers []*HttpServerConfig    `json:"servers"`
}

var DefaultAdminConfig HttpServerConfig = HttpServerConfig{
	ServerName: "admin",
	Port:       8080,
}
